petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFVSetComputeGradients

Toggle computation of cell gradients

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetComputeGradients(PetscFV fvm, PetscBool computeGradients)

Logically collective on fvm

### Input Parameters

| fvm | - the PetscFV object
| computeGradients | - Flag to compute cell gradients

### See Also

PetscFVGetComputeGradients()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages